Iniciar uma execução
curl --request POST \
--url https://api.olie.ai/api/management/projects/{project}/project-executions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"funnel_step_id": null
}
'import requests
url = "https://api.olie.ai/api/management/projects/{project}/project-executions"
payload = { "funnel_step_id": None }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({funnel_step_id: null})
};
fetch('https://api.olie.ai/api/management/projects/{project}/project-executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "a14afcbd-38b1-4b97-8950-02c09547611a",
"project_id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"user_id": "019c1e87-63f4-71dd-a4e3-6eaea0619c2f",
"funnel_step_id": 181,
"started_at": "2026-08-19T13:05:00.000000Z",
"finished_at": null,
"hourly_rate": 85,
"finished_reason": null,
"started_at_real": null,
"finished_at_real": null,
"project": {
"id": "019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf",
"code": "SC-1",
"name": "Shopping Center",
"is_template": false,
"deleted_at": null
},
"user": {
"id": "019c1e87-63f4-71dd-a4e3-6eaea0619c2f",
"name": "Ana Souza",
"avatar_url": null
},
"funnel_step": {
"id": 181,
"name": "Execução",
"project_funnel_id": 36,
"funnel": {
"id": 36,
"name": "Obras"
}
}
},
"response": true
}{
"response": false,
"message": "execution_not_allowed_on_step",
"error": "Project executions are not allowed on this funnel/step"
}projects
Iniciar uma execução
Inicia a contagem de tempo do usuário autenticado no projeto, na etapa informada. Qualquer execução que ele tenha em andamento é encerrada automaticamente antes; se já houver uma execução rodando naquela mesma etapa, ela é devolvida sem que uma nova seja criada.
O projeto precisa estar na etapa indicada, e tanto o funil quanto a etapa precisam permitir execução — veja Permitir execução. Tokens de aplicação não podem iniciar execuções.
POST
/
api
/
management
/
projects
/
{project}
/
project-executions
Iniciar uma execução
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID (UUID) do projeto.
Query Parameters
ID da etapa onde será executado o projeto
Body
application/json
Etapa em que a execução começa.
ID da etapa do funil em que o tempo será contado.
Was this page helpful?